import { NextResponse, NextRequest } from 'next/server'
import { validateToken, decryptToken } from '@/lib/jwt'
import { db } from "@/lib/db"
 
export async function DELETE(req: NextRequest) {
  try {
    const token = req?.headers.get("authorization")?.split(" ")[1]

    const { id } = await req.json()

    if(token !== undefined) {
      if(validateToken(token)) {
        const tokenData = decryptToken(token)
        if(tokenData.admin == true){
          if(id != undefined) {
            await db.set.updateMany({
              where: {
                bset_id: id
              },
              data: {
                bset_id: null
              }
            })

            await db.bset.delete({
              where: { id }
            })

            return NextResponse.json({"message": "BSet deleted"},{
              status: 200,
            });
          }
        } else {
          return NextResponse.json({"message": "You're not admin."},{
            status: 401,
          });
        }
      } else {
        return NextResponse.json({"message": "Your token is not valid."},{
          status: 401,
        });
      }
    } else {
        return NextResponse.json({"message": "You did not provide a token."},{
          status: 401,
        });
      }
  } catch (error) {
    console.log(error)
    return NextResponse.json(
      { error: "Failed, check console" },
      {
        status: 500,
      }
    );
  }
}
