import { NextResponse, NextRequest } from 'next/server'
import { validateToken } from '@/lib/jwt'
 
export async function POST(req: NextRequest) {
  try {
    const token = req?.headers.get("authorization")?.split(" ")[1]

    if(token !== undefined) {
      if(validateToken(token)) {
        return NextResponse.json({"message": "Your token is valid!"},{
          status: 200,
        });
      } else {
        return NextResponse.json({"message": "Your token is not valid."},{
          status: 401,
        });
      }
    } else {
        return NextResponse.json({"message": "You did not provide a token."},{
          status: 401,
        });
      }
  } catch (error) {
    console.log(error)
    return NextResponse.json(
      { error: "Failed, check console" },
      {
        status: 500,
      }
    );
  }
}
