import { NextResponse, NextRequest } from 'next/server'
import { db } from "@/lib/db"
 
export async function GET(req: NextRequest) {
  try {
    const deckId = req.nextUrl.pathname.slice(10).replace(/[^a-zA-Z0-9\-]/gim,"")
    console.log(deckId)

    const deck = await db.deck.findFirst({
      where: {
        id: deckId
      },
      relationLoadStrategy: "join",
      include: {
        cartes: {
          include: {
            carte: true
          }
        },
        commander: true
      }
    })

    return NextResponse.json({"deck": deck, "message": "Deck created !"},{
      status: 200,
    });
  } catch (error) {
    console.log(error)
    return NextResponse.json(
      { error: "Failed, check console" },
      {
        status: 500,
      }
    );
  }
}
