import { NextResponse, NextRequest } from 'next/server'
import fs from "fs";
import path from "path";
 
export async function GET(req: NextRequest, {params}: { params: { slug: string[] } }) {
  try {
    const jsonPath = await (params).slug.join("/")
    const filePath = path.resolve(".",`data/${jsonPath}`);
    const jsonBuffer = fs.readFileSync(filePath);
    return new NextResponse(jsonBuffer,{
      status: 200,
      headers: {
        "content-type": "application/json",
      }
    });
  } catch (error) {
    console.log(error)
    return NextResponse.json(
      { error: "Failed, check console" },
      {
        status: 500,
      }
    );
  }
}
